| Elektra 0.11.0

Classes | Namespaces
plugins.hpp File Reference

Implementation of get/set and error plugins. More...

`#include <plugin.hpp>`
`#include <toolexcept.hpp>`
`#include <map>`
`#include <string>`
`#include <vector>`
`#include <kdb.hpp>`

## Classes
class | kdb::tools::Plugins
| A collection of plugins (either get, set or error) More...
class | kdb::tools::GetPlugins
| Plugins to get configuration. More...
class | kdb::tools::SetPlugins
| Plugins to set configuration. More...
class | kdb::tools::ErrorPlugins
| Plugins to handle errors during configuration access. More...
class | kdb::tools::CommitPlugins
| Plugins to handle errors during configuration access. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Detailed Description

Implementation of get/set and error plugins.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)